// initialization
#include "OmniLegoLibrary.bas"  
LegoPort=34
RangePort=4
call LegoInit(LegoPort)
call LegoRangeInit(RangePort)


// move forward till a wall is found at 5 inches away
repeat
   call LegoRangeSensor(RangePort,D)
   call LegoForward(SLOW)
until D<5

// turn robot slightly to the right to position it parallel to wall
Call LegoDegreesRight(30)
// and establish a new forward orientation
// with range sensor angled left
LegoDir = 1

// then follow the wall
while true
  call LegoRangeSensor(RangePort,D)
  if D<8 
    gosub LegoSlideRight // moves right and forward
  elseif D>9
    gosub LegoSlideLeft  // moves left and forward
  else
    call LegoForward(SLOW)
  endif
wend
end


